콘텐츠로 건너뛰기

개요

  • 버전: 2.0
  • 서버: https://api.xsolla.com/merchant/v2/

본 API 참조는 정기 결제, 쿠폰 및 프로모션 관리 엔드포인트에 관하여 기술하고 있습니다. 정기 결제에 대한 더 자세한 내용은 제품 가이드용어집을 참조하십시오.

OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/subscriptions/
작업
작업
작업
작업
작업
작업
작업

요청

보안
subscriptionsManagementJwtAuth
경로
subscription_idinteger\d+필수
project_idinteger\d+필수
쿼리
limitinteger
offsetinteger
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/plans_for_change?limit=0&offset=0&locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

List of available plans for change

본문application/json
has_moreboolean필수
예제: "false"
itemsArray of objects(PlanResponse)
기본값 []
응답
application/json
{ "has_more": "false", "items": [] }

요청

보안
subscriptionsManagementJwtAuth
경로
subscription_idinteger\d+필수
plan_idinteger\d+필수
project_idinteger\d+필수
쿼리
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/plans_for_change/{plan_id}?locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

Available plans for change with payment details

본문application/json
chargeobject(Charge2)필수
charge.​amountnumber(float)필수
예제: "4.99"
charge.​currencystring필수
예제: "USD"
charge.​setup_feenumber or null(float)
예제: "0.99"
payment_detailsobject(PaymentDetails)필수
payment_details.​surcharge(Surcharge (object or null))
기본값 null
(Surcharge (object or null))
기본값 null
payment_details.​unused(Unused (object or null))
기본값 null
(Unused (object or null))
기본값 null
periodobject(Period2)필수
period.​unitstring or null
기본값 null
예제: "month"
period.​valueinteger or null
기본값 null
예제: "1"
plan_descriptionstring필수
예제: "Localized plan description"
plan_end_datestring or null(date-time)
예제: "2031-04-11T13:51:02+03:00"
plan_external_idstring필수
예제: "PlanExternalId"
plan_group_idstring or null
예제: "TestGroupId"
plan_idinteger필수
예제: "54321"
plan_namestring필수
예제: "Localized plan name"
plan_start_datestring or null(date-time)
예제: "2021-04-11T13:51:02+03:00"
plan_typestring필수
예제: "all"
promotionobject(Promotion)필수
promotion.​promotion_charge_amountnumber or null(float)
기본값 null
예제: "3.99"
promotion.​promotion_remaining_chargesinteger or null
기본값 null
예제: "3"
trial_periodinteger or null
예제: "7"
응답
application/json
{ "charge": { "amount": "4.99", "currency": "USD", "setup_fee": "0.99" }, "payment_details": { "surcharge": null, "unused": null }, "period": { "unit": "month", "value": "1" }, "plan_description": "Localized plan description", "plan_end_date": "2031-04-11T13:51:02+03:00", "plan_external_id": "PlanExternalId", "plan_group_id": "TestGroupId", "plan_id": "54321", "plan_name": "Localized plan name", "plan_start_date": "2021-04-11T13:51:02+03:00", "plan_type": "all", "promotion": { "promotion_charge_amount": "3.99", "promotion_remaining_charges": "3" }, "trial_period": "7" }